From 87c527dce3a9f8dcaca7cf43f830ce9ff178f4e6 Mon Sep 17 00:00:00 2001
From: Dominic Hargreaves <dom@earth.li>
Date: Tue, 22 Mar 2011 16:11:29 +0000
Subject: [PATCH] Describe the Perl upgrade trigger

---
 perl-policy.sgml |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)

diff --git a/perl-policy.sgml b/perl-policy.sgml
index b9f3277..70c5bfc 100644
--- a/perl-policy.sgml
+++ b/perl-policy.sgml
@@ -461,6 +461,26 @@ perl -MExtUtils::Embed -e ldopts
 	  package must depend upon it explicitly.
 	</p>
       </sect>
+
+      <sect id="perl_upgrades">
+        <heading>Perl Package Upgrades</heading>
+        <p>
+          Starting from <package>perl</package> 5.12.3-2, a dpkg trigger
+          named <var>perl-major-upgrade</var> will be triggered by the
+          postinst of the <package>perl</package> package during major
+          upgrades. Some examples of things which constitute a major upgrade
+          are an upgrade which would change the value of versioned
+          directories in <tt>@INC</tt>, or one which changes <tt>abiname</tt>.
+          Any package may declare an interest in the trigger, especially
+          packages including long-running daemons which would stop working
+          until restart.
+        </p>
+        <p>
+          It is suggested that such packages include an appropriate section
+          in their postinst to handle the trigger by restarting relevant
+          daemons or notifying users of further action.
+        </p>
+      </sect>
     </chapt>
 
     <appendix id="perl6">
-- 
1.7.0.4

